Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005234TestLinkTest Spec. - Test Case relationspublic2012-09-19 07:452014-09-27 16:42
Reporterredpiyo 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.12 (2014 Q3) 
Summary0005234: Relation feature for Testcase
DescriptionIt would be good to include a relation feature similar to requirement for the testcase. It can be use to track what are the intercase dependencies e.g Test case 3 can only proceed if Test case 1/2 passed if any fails, test case 3 will be bloacked
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
parent of 0006493closedfman Test Case execution - Display Test case relations 
parent of 0006496closedfman Check impact on different reports of test case relations 
parent of 0006502assignedfman Import Test Case - relations need be added 
parent of 0006501closedfman Export Test Case - relations need to be included 
parent of 0006503new Test Case Relations methods 
related to 0006457closedfman Availables hot-fixes for 1.9.11 & How To get full fixed package from gitorious 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0017503)
fman (administrator)
2012-09-19 16:56

1. this is duplication of other tickets => always search before report
2. requirement is too light detailed in other to try any kind of implementation => we can not do any analisys.
(0021428)
fman (administrator)
2014-08-12 10:15

First implementation:
Controls are near to zero.
has to be viewed as a mean to add a textual attribute to reflect relations, but with responsabilities during execution on USER (human being) side.
(0021493)
fman (administrator)
2014-08-20 15:28

DB SCHEMA NEEDS to be upgraded to 1.9.12 (a new table has been added)
ATTENTION IF YOU PLAN TO UPGRADE an OLD TestLink installation
You need to use scripts present on latest code from gitorious related to upgrading to 1.9.12
(0021684)
fman (administrator)
2014-09-27 16:42

Release done

- Issue History
Date Modified Username Field Change
2012-09-19 07:45 redpiyo New Issue
2012-09-19 16:56 fman Note Added: 0017503
2012-09-20 02:30 redpiyo Note Added: 0017506
2012-09-20 10:05 redpiyo Note Deleted: 0017506
2014-08-12 10:12 fman Assigned To => fman
2014-08-12 10:12 fman Status new => assigned
2014-08-12 10:12 fman Severity minor => feature request
2014-08-12 10:12 fman Category New Feature => Test Spec. - Test Case relations
2014-08-12 10:15 fman Note Added: 0021428
2014-08-12 10:20 fman Status assigned => work in progress
2014-08-12 10:21 fman Relationship added related to 0006457
2014-08-13 07:42 fman Issue cloned: 0006493
2014-08-13 07:42 fman Relationship added parent of 0006493
2014-08-13 08:26 fman Issue cloned: 0006496
2014-08-13 08:26 fman Relationship added parent of 0006496
2014-08-14 12:46 fman Relationship added parent of 0006502
2014-08-14 12:46 fman Relationship added parent of 0006501
2014-08-14 12:48 fman Relationship added parent of 0006503
2014-08-20 15:28 fman Note Added: 0021493
2014-09-27 15:08 fman Status work in progress => new
2014-09-27 15:08 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-09-27 15:08 fman Status new => resolved
2014-09-27 15:08 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-09-27 15:08 fman Resolution open => fixed
2014-09-27 16:42 fman Note Added: 0021684
2014-09-27 16:42 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker